An error was printed when I make ntp-dev-4.2.7p455

It comes an error when I ‘make’ ntp-dev-4.2.7p455.

I just installed gcc on this OS,and the version is

gfep2:/tmp/ntp/ntp-dev-4.2.7p455 # gcc -v
Reading specs from /usr/lib/gcc-lib/i586-suse-linux/3.3.3/specs
Configured with: …/configure --enable-threads=posix --prefix=/usr --with-local-prefix=/usr/local --infodir=/usr/share/info --mandir=/usr/share/man --enable-languages=c,c++,f77,objc,java,ada --disable-checking --libdir=/usr/lib --enable-libgcj --with-gxx-include-dir=/usr/include/g++ --with-slibdir=/lib --with-system-zlib --enable-shared --enable-__cxa_atexit i586-suse-linux
Thread model: posix
gcc version 3.3.3 (SuSE Linux)


**This is just a pieces of ‘make’ process output,and when I configure it with "****./configure --prefix=/usr/ **–enable-all-clocks --enable-parse-clocks",it seems nothing abnormal happend

make[3]: Leaving directory /tmp/ntp/ntp-dev-4.2.7p455/libparse' make[2]: Leaving directory /tmp/ntp/ntp-dev-4.2.7p455/libparse’
Making all in ntpd
make[2]: Entering directory /tmp/ntp/ntp-dev-4.2.7p455/ntpd' make[3]: Entering directory /tmp/ntp/ntp-dev-4.2.7p455/ntpd’
make[3]: .deps/deps-ver' is up to date. make[3]: Leaving directory /tmp/ntp/ntp-dev-4.2.7p455/ntpd’
make all-am
make[3]: Entering directory /tmp/ntp/ntp-dev-4.2.7p455/ntpd' CC cmd_args.o CC ntp_control.o ntp_control.c: In function ctl_putsys’:
ntp_control.c:1853: warning: declaration of ss' shadows a previous local ntp_control.c:1702: warning: shadowed declaration is here ntp_control.c:1854: warning: declaration of len’ shadows a previous local
ntp_control.c:1703: warning: shadowed declaration is here
ntp_control.c:1855: warning: declaration of k' shadows a previous local ntp_control.c:1705: warning: shadowed declaration is here ntp_control.c:1865: warning: assignment discards qualifiers from pointer target type ntp_control.c:1703: warning: unused variable len’
ntp_control.c:1704: warning: unused variable firstvarname' ntp_control.c:1705: warning: unused variable k’
CC ntp_crypto.o
CC ntp_filegen.o
CC ntp_leapsec.o
ntp_leapsec.c: In function leapsec_add': ntp_leapsec.c:790: warning: declaration of stime’ shadows a global declaration
/usr/include/time.h:294: warning: shadowed declaration is here
ntp_leapsec.c: In function leapsec_raw': ntp_leapsec.c:842: warning: declaration of stime’ shadows a global declaration
/usr/include/time.h:294: warning: shadowed declaration is here
CC ntp_loopfilter.o
CC ntp_monitor.o
CC ntp_peer.o
CC ntp_proto.o
CC ntp_refclock.o
CC ntp_request.o
CC ntp_restrict.o
CC ntp_signd.o
CC ntp_timer.o
CC ntp_util.o
CC refclock_acts.o
CC refclock_arbiter.o
CC refclock_arc.o
CC refclock_as2201.o
CC refclock_atom.o
CC refclock_bancomm.o
CC refclock_chronolog.o
CC refclock_chu.o
CC refclock_conf.o
CC refclock_datum.o
CC refclock_dumbclock.o
CC refclock_fg.o
CC refclock_gpsdjson.o
In file included from refclock_gpsdjson.c:59:
…/include/ntpd.h:288: warning: declaration of poll' shadows a global declaration /usr/include/sys/poll.h:48: warning: shadowed declaration is here refclock_gpsdjson.c: In function process_tpv’:
refclock_gpsdjson.c:732: warning: declaration of log2' shadows a global declaration /usr/include/bits/mathcalls.h:145: warning: shadowed declaration is here CC refclock_gpsvme.o CC refclock_heath.o CC refclock_hopfser.o CC refclock_hopfpci.o CC refclock_hpgps.o CC refclock_irig.o CC refclock_jjy.o CC refclock_jupiter.o CC refclock_leitch.o CC refclock_local.o CC refclock_mx4200.o CC refclock_neoclock4x.o CC refclock_nmea.o refclock_nmea.c:314: warning: declaration of recv’ shadows a global declaration
/usr/include/sys/socket.h:143: warning: shadowed declaration is here
refclock_nmea.c:1773: warning: declaration of recv' shadows a global declaration /usr/include/sys/socket.h:143: warning: shadowed declaration is here CC refclock_oncore.o CC refclock_palisade.o CC refclock_parse.o CC refclock_pcf.o CC refclock_pst.o CC refclock_ripencc.o CC refclock_shm.o CC refclock_tpro.o CC refclock_true.o CC refclock_tt560.o CC refclock_ulink.o CC refclock_wwv.o CC refclock_wwvb.o CC refclock_zyfer.o CC refclock_tsyncpci.o AR libntpd.a CC ntp_config.o CC ntp_io.o ntp_io.c: In function is_ip_address’:
ntp_io.c:717: warning: unused variable in6' ntp_io.c: At top level: ntp_io.c:2245: warning: socket_broadcast_disable’ defined but not used
CC ntp_parser.o
CC ntp_scanner.o
CC ntpd.o
CC ntpd-opts.o
env CSET=cat ../sntp/scm-rev …/scripts/build/mkver ntpd
Version <ntpd 4.2.7p455@1.2483 Thu Aug 7 15:53:41 UTC 2014 (10)>
env CCACHE_DISABLE=1 gcc -DHAVE_CONFIG_H -I. -I… -I…/include -I…/lib/isc/include -I…/lib/isc/pthreads/include -I…/lib/isc/unix/include -I…/sntp/libopts -Wall -Wcast-align -Wcast-qual -Wmissing-prototypes -Wpointer-arith -Wshadow -Wstrict-prototypes -g -O2 -c version.c -o version.o
CCLD ntpd
/usr/lib/gcc-lib/i586-suse-linux/3.3.3/…/…/…/…/i586-suse-linux/bin/ld: unrecognized option ‘–no-as-needed’
/usr/lib/gcc-lib/i586-suse-linux/3.3.3/…/…/…/…/i586-suse-linux/bin/ld: use the --help option for usage information
collect2: ld returned 1 exit status
make[3]: *** [ntpd] Error 1
make[3]: Leaving directory /tmp/ntp/ntp-dev-4.2.7p455/ntpd' make[2]: *** [all] Error 2 make[2]: Leaving directory /tmp/ntp/ntp-dev-4.2.7p455/ntpd’
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/tmp/ntp/ntp-dev-4.2.7p455’
make: *** [all] Error 2

**This is the variable environment,I dont know if the error have something about variable “LIBRARY_PATH”&“LD_LIBRARY_PATH”,whether my setting of them is correct?

**gfep2:/tmp/ntp/ntp-dev-4.2.7p455 # cat /etc/*release
SUSE LINUX Enterprise Server 9 (i586)
VERSION = 9
PATCHLEVEL = 3

gfep2:/tmp/ntp/ntp-dev-4.2.7p455 # env
LESSKEY=/etc/lesskey.bin
REMOTEHOST=135.129.252.51
NNTPSERVER=news
INFODIR=/usr/local/info:/usr/share/info:/usr/info
MANPATH=/usr/share/man:/usr/local/man:/usr/X11R6/man:/opt/VRTS/man:/opt/gnome/share/man
HOSTNAME=gfep2
GNOME2_PATH=/usr/local:/opt/gnome:/usr
XKEYSYMDB=/usr/X11R6/lib/X11/XKeysymDB
HOST=gfep2
SHELL=/bin/bash
TERM=vt100
PROFILEREAD=true
HISTSIZE=1000
LIBRARY_PATH=/tmp/ntp/ntp-dev-4.2.7p455/libntp:/tmp/ntp/ntp-dev-4.2.7p455/lib/
QTDIR=/usr/lib/qt3
OLDPWD=/usr
JRE_HOME=/usr/lib/java/jre
USER=root
LD_LIBRARY_PATH=/usr/lib
LS_COLORS=no=00:fi=00:di=01;34:ln=00;36:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31:ex=00;32:.cmd=00;32:.exe=01;32:.com=01;32:.bat=01;32:.btm=01;32:.dll=01;32:.tar=00;31:.tbz=00;31:.tgz=00;31:.rpm=00;31:.deb=00;31:.arj=00;31:.taz=00;31:.lzh=00;31:.zip=00;31:.zoo=00;31:.z=00;31:.Z=00;31:.gz=00;31:.bz2=00;31:.tb2=00;31:.tz2=00;31:.tbz2=00;31:.avi=01;35:.bmp=01;35:.fli=01;35:.gif=01;35:.jpg=01;35:.jpeg=01;35:.mng=01;35:.mov=01;35:.mpg=01;35:.pcx=01;35:.pbm=01;35:.pgm=01;35:.png=01;35:.ppm=01;35:.tga=01;35:.tif=01;35:.xbm=01;35:.xpm=01;35:.dl=01;35:.gl=01;35:.aiff=00;32:.au=00;32:.mid=00;32:.mp3=00;32:.ogg=00;32:.voc=00;32:.wav=00;32:
XNLSPATH=/usr/X11R6/lib/X11/nls
HOSTTYPE=i386
PAGER=less
MINICOM=-c on
MAIL=/var/mail/root
PATH=/sbin:/usr/sbin:/usr/local/sbin:/root/bin:/usr/local/bin:/usr/bin:/usr/X11R6/bin:/bin:/usr/games:/opt/VRTS/bin:/opt/VRTSvcs/bin:/opt/gnome/bin:/opt/kde3/bin:/usr/lib/java/jre/bin
CPU=i686
JAVA_BINDIR=/usr/lib/java/jre/bin
INPUTRC=/etc/inputrc
PWD=/tmp/ntp/ntp-dev-4.2.7p455
JAVA_HOME=/usr/lib/java/jre
TEXINPUTS=:/root/.TeX:/usr/share/doc/.TeX:/usr/doc/.TeX
SHLVL=1
HOME=/root
LESS_ADVANCED_PREPROCESSOR=no
OSTYPE=linux
LS_OPTIONS=-a -N --color=tty -T 0
XCURSOR_THEME=crystalwhite
no_proxy=localhost
WINDOWMANAGER=/usr/X11R6/bin/kde
GTK_PATH=/usr/local/lib/gtk-2.0:/opt/gnome/lib/gtk-2.0:/usr/lib/gtk-2.0
LESS=-M -I
MACHTYPE=i686-suse-linux
LOGNAME=root
LC_CTYPE=zh_CN
PKG_CONFIG_PATH=/opt/gnome/lib/pkgconfig
LESSOPEN=lessopen.sh %s
ACLOCAL_PATH=/opt/gnome/share/aclocal
INFOPATH=/usr/local/info:/usr/share/info:/usr/info:/opt/gnome/share/info
LESSCLOSE=lessclose.sh %s %s
G_BROKEN_FILENAMES=1
JAVA_ROOT=/usr/lib/java
COLORTERM=1
_=/usr/bin/env

Anyone can help me to resolve this problem?
I am a freshhand about compile&make,those things really make me confused.
Expecting for someone’s help.
Thanks!

First off you appear to be running
SUSE Linux Enterprise Server 9
This is openSUSE not SLES you need to ask in the Suse forums

https://forums.suse.com/forum.php

Second is that version 9 is really really old. First release I believe in 2004. I don’t think it is supported any more and if you are running it in a production environment you are asking to be taken over by hackers

OK,still send you my appreciation